from django.db import models

from unchained_utils.v0.base_classes import unBaseModel, LooseForeignKey


class Currency(unBaseModel):
    id = models.CharField(max_length=3, primary_key=True)
    name_en = models.CharField(max_length=100)
    name_ar = models.CharField(max_length=100, null=True, blank=True)

    class Meta:
        verbose_name_plural = 'Currencies'


class Country(unBaseModel):
    id = models.CharField(max_length=2, primary_key=True)
    name_en = models.CharField(max_length=100)
    name_ar = models.CharField(max_length=100)


class Region(unBaseModel):
    id = models.AutoField(primary_key=True)
    key = models.CharField(max_length=100, unique=True)
    country = LooseForeignKey(Country)
    name_en = models.CharField(max_length=100)
    name_ar = models.CharField(max_length=100, null=True, blank=True)

    class Meta:
        unique_together = ('key', 'country')
